Page MenuHomePhabricator

[globalisel][docs] Rewrite the IRTranslator documentation
ClosedPublic

Authored by dsanders on Oct 25 2019, 7:55 PM.

Details

Summary

I haven't refreshed the Function Calls section as I don't feel I have
sufficient knowledge of that area. It would be appreciated if someone could
review that section.

Note: I'm aware that pygments doesn't support 'mir' as used in one of the
code-block directives. This currently emits a warning and I decided to
keep it to enable finding them later. Maybe we can teach pygments to
support it.

Depends on D69456

Diff Detail

Event Timeline

dsanders created this revision.Oct 25 2019, 7:55 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 25 2019, 7:55 PM
arsenm added a subscriber: arsenm.Oct 25 2019, 11:55 PM
arsenm added inline comments.
llvm/docs/GlobalISel/IRTranslator.rst
69–70

This is no longer accurate, and multiple registers are produced

rovka added inline comments.Oct 28 2019, 2:30 AM
llvm/docs/GlobalISel/IRTranslator.rst
88

+ "prevent" or something.

94

Maybe a link to the in-tree Localizer pass?

dsanders updated this revision to Diff 226730.Oct 28 2019, 12:47 PM

Fixed the review comments
Strengthened the caution on the CallLowering section as Matt confirmed it's no longer accurate

dsanders marked 5 inline comments as done.Oct 28 2019, 12:51 PM
dsanders added inline comments.
llvm/docs/GlobalISel/IRTranslator.rst
69–70

I've strengthened the caution on this section. I've asked Aditya to look into updating this section but he's not going to be able to get to it until Friday at the earliest

94

Done. I've used a link that tracks master for this one since we're linking to the pass itself rather than any specific code. We should probably turn it into a proper documentation page at some point.

rovka accepted this revision.Oct 29 2019, 2:14 AM

LGTM.

This revision is now accepted and ready to land.Oct 29 2019, 2:14 AM
This revision was automatically updated to reflect the committed changes.
dsanders marked 2 inline comments as done.